org.mozilla.javascript

## Class ScriptStackElement

- java.lang.Object
- - org.mozilla.javascript.ScriptStackElement

All Implemented Interfaces:
  java.io.Serializable

    public final class ScriptStackElement
    extends java.lang.Object
    implements java.io.Serializable

This class represents an element on the script execution stack.

Since:
  1.7R3
Author:
  Hannes Wallnoefer
See Also:
  `RhinoException.getScriptStack()`, Serialized Form

### Field Summary

Fields
`java.lang.String` `fileName`
`java.lang.String` `functionName`
`int` `lineNumber`

### Constructor Summary

Constructors
Constructor and Description
`ScriptStackElement(java.lang.String fileName, java.lang.String functionName, int lineNumber)`

### Method Summary

Methods
`void` `renderJavaStyle(java.lang.StringBuilder sb)` Render stack element in Java-inspired style: `at fileName:lineNumber (functionName)`
`void` `renderMozillaStyle(java.lang.StringBuilder sb)` Render stack element in Mozilla/Firefox style: `functionName()@fileName:lineNumber`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### fileName

    public final java.lang.String fileName

#### functionName

    public final java.lang.String functionName

#### lineNumber

    public final int lineNumber

### Constructor Detail

#### ScriptStackElement

    public ScriptStackElement(java.lang.String fileName,
                      java.lang.String functionName,
                      int lineNumber)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### renderJavaStyle

    public void renderJavaStyle(java.lang.StringBuilder sb)

Render stack element in Java-inspired style: `at fileName:lineNumber (functionName)`

Parameters:
  `sb` - the StringBuilder to append to

#### renderMozillaStyle

    public void renderMozillaStyle(java.lang.StringBuilder sb)

Render stack element in Mozilla/Firefox style: `functionName()@fileName:lineNumber`

Parameters:
  `sb` - the StringBuilder to append to